This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 191858 - xorg-x11-xdm fails to build using mock
xorg-x11-xdm fails to build using mock
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-xdm (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks: FC6Target BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 01:30 EDT by Alexander Täschner
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1:1.0.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-31 10:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
build.log of mock (33.83 KB, text/plain)
2006-05-16 01:30 EDT, Alexander Täschner
no flags Details
build.log of sucessful build (43.54 KB, application/octet-stream)
2006-05-16 02:01 EDT, Alexander Täschner
no flags Details

  None (edit)
Description Alexander Täschner 2006-05-16 01:30:17 EDT
Building the SRPM
http://download.fedora.redhat.com/pub/fedora/linux/core/5/source/SRPMS/xorg-x11-xdm-1.0.1-1.2.src.rpm
using mock fails.

Attached is the build.log.
Comment 1 Alexander Täschner 2006-05-16 01:30:17 EDT
Created attachment 129156 [details]
build.log of mock
Comment 2 Alexander Täschner 2006-05-16 02:01:30 EDT
Created attachment 129157 [details]
build.log of sucessful build

Adding the lines

BuildRequires: xorg-x11-xtrans-devel xorg-x11-util-macros pam-devel
BuildRequires: libXinerama-devel

to xorg-x11-xdm.xpec solves the build problem.

Attached is the build log.
Comment 3 Mike A. Harris 2006-05-16 13:49:47 EDT
Adding to FC6Target
Comment 4 Adam Jackson 2006-05-31 10:50:16 EDT
fixed in rawhide, thanks!

Note You need to log in before you can comment on or make changes to this bug.